kylin-virtual-keyboard (3.0.0.0-ok0.1) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：发布虚拟键盘3.0.0.0版本
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Wed, 13 Dec 2023 14:12:54 +0800

kylin-virtual-keyboard (2.0.4.0-ok5.2) nile; urgency=medium

  * BUG：#I7ATI9 虚拟键盘右上角按钮无工具提示
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 11 Dec 2023 11:17:10 +0800

kylin-virtual-keyboard (2.0.4.0-ok5.1) nile; urgency=medium

  * BUG修复：解决虚拟键盘显示空白的问题
  * 新需求：无
  * 其他修改：删除因合并代码产生的额外代码

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Wed, 15 Nov 2023 11:32:25 +0800

kylin-virtual-keyboard (2.0.4.0-ok5) nile; urgency=medium

  * BUG修复：无
  * 新需求：1.虚拟键盘增加控制悬浮按钮可用性的开关 #I7UJCT
            2.虚拟键盘支持动态调整大小 #I7UJCQ
            3.虚拟键盘支持动画效果 #I7UJBV
  * 其他修改：重新编译
 
 -- hanteng <hanteng@kylinos.cn>  Thu, 19 Oct 2023 11:50:31 +0800

kylin-virtual-keyboard (2.0.4.0-ok3) nile; urgency=medium

  * BUG修复：无
  * 新需求：1.虚拟键盘增加控制悬浮按钮可用性的开关 #I7UJCT
            2.虚拟键盘支持动态调整大小 #I7UJCQ
            3.虚拟键盘支持动画效果 #I7UJBV
  * 其他修改：重新编译

 -- hanteng <hanteng@kylinos.cn>  Thu, 19 Oct 2023 11:10:02 +0800

kylin-virtual-keyboard (2.0.4.0-ok1) nile; urgency=medium

  * bug修复：无
  * 新需求：1.虚拟键盘增加控制悬浮按钮可用性的开关 #I7UJCT
            2.虚拟键盘支持动态调整大小 #I7UJCQ
            3.虚拟键盘支持动画效果 #I7UJBV
  * 其他修改：无

 -- hanteng <hanteng@kylinos.cn>  Thu, 19 Oct 2023 10:54:17 +0800

kylin-virtual-keyboard (2.0.3.0-ok1) nile; urgency=medium

  * bug修复：无
  * 新需求：1.虚拟键盘增加控制悬浮按钮可用性的开关 #I7UJCT
            2.虚拟键盘支持动态调整大小 #I7UJCQ
  * 其他修改：无

 -- hanteng <hanteng@kylinos.cn>  Thu, 19 Oct 2023 10:44:09 +0800

kylin-virtual-keyboard (2.0.1.0-0ok15) nile; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：重新编译，解决编译报错问题

 -- hanteng <hanteng@kylinos.cn>  Thu, 19 Oct 2023 10:36:48 +0800

kylin-virtual-keyboard (2.0.1.0-0ok14) nile; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：优化代码,虚拟键盘支持动态调整大小,重新编译

 -- hanteng <hanteng@kylinos.cn>  Mon, 11 Sep 2023 14:49:18 +0800

kylin-virtual-keyboard (2.0.1.0-0ok12) nile; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：优化代码,虚拟键盘支持动态调整大小,重新编译

 -- hanteng <hanteng@kylinos.cn>  Mon, 04 Sep 2023 14:37:46 +0800

kylin-virtual-keyboard (2.0.1.0-0ok11) nile; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：优化代码,虚拟键盘支持动态调整大小,重新编译

 -- hanteng <hanteng@kylinos.cn>  Mon, 04 Sep 2023 14:22:54 +0800

kylin-virtual-keyboard (2.0.1.0-0ok10) nile; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：优化代码,虚拟键盘支持动态调整大小

 -- hanteng <hanteng@kylinos.cn>  Thu, 24 Aug 2023 10:17:05 +0800

kylin-virtual-keyboard (2.0.1.0-0ok9) yangtze; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：优化代码,增加GSettings模块控制悬浮按钮的可用性，为控制面板中增加功能提供支持

 -- hanteng <hanteng@kylinos.cn>  Wed, 16 Aug 2023 15:26:12 +0800

kylin-virtual-keyboard (2.0.1.0-0ok8) yangtze; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：优化代码,增加GSettings模块控制悬浮按钮的可用性，为控制面板中增加功能提供支持

 -- hanteng <hanteng@kylinos.cn>  Tue, 15 Aug 2023 14:37:58 +0800

kylin-virtual-keyboard (2.0.1.0-0ok7) yangtze; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：优化代码

 -- hanteng <hanteng@kylinos.cn>  Mon, 31 Jul 2023 11:19:46 +0800

kylin-virtual-keyboard (2.0.1.0-0ok6) yangtze; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：完善debian下的文件信息

 -- hanteng <hanteng@kylinos.cn>  Wed, 26 Jul 2023 14:27:19 +0800

kylin-virtual-keyboard (2.0.1.0-0ok5) yangtze; urgency=medium

  * bug修复：#168647 拖动虚拟键盘有卡顿，不流畅
  * 新需求：无
  * 其他修改：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 15 May 2023 14:20:14 +0800

kylin-virtual-keyboard (2.0.1.0-0ok4) yangtze; urgency=medium

  * bug修复：#161699 #169012
  * 新需求：无
  * 其他修改：
          1.重新编译工程

 -- hanteng <hanteng@kylinos.cn>  Wed, 10 May 2023 16:21:23 +0800

kylin-virtual-keyboard (2.0.1.0-0ok3) yangtze; urgency=medium

  * bug修复：#161699 #169012
  * 新需求：无
  * 其他修改：
          1.修复一些已知问题

 -- hanteng <hanteng@kylinos.cn>  Thu, 04 May 2023 09:38:01 +0800

kylin-virtual-keyboard (2.0.1.0-0ok2) yangtze; urgency=medium

  * bug修复：#161699 #169012
  * 新需求：无
  * 其他修改：
          1.修复一些已知问题

 -- hanteng <hanteng@kylinos.cn>  Thu, 27 Apr 2023 17:28:58 +0800

kylin-virtual-keyboard (2.0.1.0-0ok1) yangtze; urgency=medium

  * bug修复：无
  * 新需求：#19812 平板模式虚拟键盘唤起悬浮图标交互优化
  * 其他修改：虚拟键盘更新版本号,发布新版本

 -- hanteng <hanteng@kylinos.cn>  Mon, 17 Apr 2023 10:48:39 +0800

kylin-virtual-keyboard (2.0.0.0-0ok1) yangtze; urgency=medium

  * 发布2.0.0.0版本

 -- hanteng <hanteng@kylinos.cn>  Tue, 14 Mar 2023 17:49:43 +0800

kylin-virtual-keyboard (2.0.0.0-0k0.1tablet1) yangtze; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：虚拟键盘更新版本号,发布新版本

 -- hanteng <hanteng@kylinos.cn>  Tue, 14 Mar 2023 17:11:41 +0800

kylin-virtual-keyboard (1.0.2.1-0k0.1tablet21) yangtze; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：1.去除trayentry.h中前置声明
              2.去除VirtualKeyboardManager引用的trayentry.h的头文件

 -- hanteng <hanteng@kylinos.cn>  Fri, 10 Mar 2023 18:08:58 +0800

kylin-virtual-keyboard (1.0.2.1-0k0.1tablet20) yangtze; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：将VirtualKeyboardManager与DBusService解耦，使得VirtualKeyboardManager不再依赖DBusService

 -- liulinsong <liulinsong@kylinos.cn>  Thu, 09 Mar 2023 10:07:42 +0800
 
kylin-virtual-keyboard (1.0.2.1-0k0.1tablet19) yangtze; urgency=medium

  * bug修复：1）161337 【虚拟键盘】方向键、删除键、回车键图标模糊
  * 新需求：无
  * 其他修改：无

 -- zhaokexin <zhaokexin@kylinos.cn>  Tue, 09 Mar 2023 09:29:30 +0800

kylin-virtual-keyboard (1.0.2.1-0k0.1tablet18) yangtze; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：将TrayEntry模块与VirtualKeyboardManager解耦,使得VirtualKeyboardManager不再依赖TrayEntry

 -- hanteng <hanteng@kylinos.cn>  Tue, 07 Mar 2023 11:09:25 +0800

kylin-virtual-keyboard (1.0.2.1-0k0.1tablet17) yangtze; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：使用请求合并器合并指定周期内的重复请求

 -- liulinsong <liulinsong@kylinos.cn>  Fri, 03 Mar 2023 11:24:53 +0800

kylin-virtual-keyboard (1.0.2.1-0k0.1tablet16) yangtze; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：使用更准确的藏语翻译

 -- liulinsong <liulinsong@kylinos.cn>  Tue, 28 Feb 2023 13:39:47 +0800

kylin-virtual-keyboard (1.0.2.1-0k0.1tablet15) yangtze; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：更新藏语翻译

 -- liulinsong <liulinsong@kylinos.cn>  Tue, 28 Feb 2023 11:10:22 +0800

kylin-virtual-keyboard (1.0.2.1-0k0.1tablet14) yangtze; urgency=medium

  * bug修复：159567 【PC】【需求19810】【虚拟键盘】中文环境下任务栏虚拟键盘图标显示为英文
  * 新需求：无
  * 其他修改：无

 -- liulinsong <liulinsong@kylinos.cn>  Mon, 27 Feb 2023 15:52:24 +0800

kylin-virtual-keyboard (1.0.2.1-0k0.1tablet13) yangtze; urgency=medium

  * bug修复：159407 【UKUI需求 需求-17139】【平板键盘】竖屏状态下平板键盘按键文字显示存在部分遮挡
  * 新需求：无
  * 其他修改：无

 -- zhaokexin <zhaokexin@kylinos.cn>  Mon, 27 Feb 2023 14:35:38 +0800

kylin-virtual-keyboard (1.0.2.1-0k0.1tablet12) yangtze; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：优化屏幕旋转信号和布置模式管理器信号的连接，避免不必要的重复连接

 -- liulinsong <liulinsong@kylinos.cn>  Tue, 21 Feb 2023 10:24:27 +0800

kylin-virtual-keyboard (1.0.2.1-0k0.1tablet11) yangtze; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：悬浮模式虚拟键盘四个角支持圆角

 -- liulinsong <liulinsong@kylinos.cn>  Tue, 14 Feb 2023 13:55:53 +0800

kylin-virtual-keyboard (1.0.2.1-0k0.1tablet10) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：优化虚拟键盘窗口类型的指定方式

 -- liulinsong <liulinsong@kylinos.cn>  Tue, 14 Feb 2023 11:48:02 +0800

kylin-virtual-keyboard (1.0.2.1-0k0.1tablet9) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：优化虚拟键盘管理器信号连接函数的逻辑

 -- liulinsong <liulinsong@kylinos.cn>  Mon, 13 Feb 2023 15:28:49 +0800

kylin-virtual-keyboard (1.0.2.1-0k0.1tablet8) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：定义虚拟键盘视图类从而简化虚拟键盘管理器的职责

 -- liulinsong <liulinsong@kylinos.cn>  Mon, 13 Feb 2023 15:15:26 +0800

kylin-virtual-keyboard (1.0.2.1-0k0.1tablet7) v101; urgency=medium

  * bug修复：146148 【屏幕键盘】屏幕键盘UI还原度问题
  * 新需求：无
  * 其他修改：无

 -- zhaokexin <zhaokexin@kylinos.cn>  Thu, 09 Feb 2023 10:35:31 +0800

kylin-virtual-keyboard (1.0.2.1-0k0.1tablet6) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：优化虚拟键盘配置文件管理方法

 -- liulinsong <liulinsong@kylinos.cn>  Thu, 09 Feb 2023 09:42:02 +0800

kylin-virtual-keyboard (1.0.2.1-0k0.1tablet5) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：优化变量定义和函数声明形式

 -- liulinsong <liulinsong@kylinos.cn>  Wed, 08 Feb 2023 14:04:54 +0800

kylin-virtual-keyboard (1.0.2.1-0k0.1tablet4) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：完善计算虚拟键盘高度的方法

 -- liulinsong <liulinsong@kylinos.cn>  Wed, 08 Feb 2023 10:56:36 +0800

kylin-virtual-keyboard (1.0.2.1-0k0.1tablet3) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：优化获取主屏幕几何参数的代码;使用默认比值计算虚拟键盘的默认下边距；
    优化计算虚拟键盘左边距比值和上边距比值的方法

 -- liulinsong <liulinsong@kylinos.cn>  Tue, 07 Feb 2023 15:05:18 +0800

kylin-virtual-keyboard (1.0.2.1-0k0.1tablet2) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：优化计算虚拟键盘位置的逻辑

 -- liulinsong <liulinsong@kylinos.cn>  Tue, 07 Feb 2023 13:00:34 +0800

kylin-virtual-keyboard (1.0.2.1-0k0.1tablet1) v101; urgency=medium

  * bug修复：无
  * 新需求：19811,19810
  * 其他修改：增加upstream分支tag,基于upstream分支tag修改版本号

 -- hanteng <hanteng@kylinos.cn>  Wed, 01 Feb 2023 10:01:57 +0800

kylin-virtual-keyboard (1.0.1.1-0k0.1tablet1) v101; urgency=medium

  * bug修复：无
  * 新需求：19811
  * 其他修改：增加upstream分支tag

 -- hanteng <hanteng@kylinos.cn>  Wed, 18 Jan 2023 17:45:01 +0800

kylin-virtual-keyboard (1.0.0.1-0k0.1tablet3) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：增加upstream分支tag,重新编译

 -- hanteng <hanteng@kylinos.cn>  Mon, 09 Jan 2023 20:39:17 +0800

kylin-virtual-keyboard (1.0.0.1-0k0.1tablet2) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：修改版本号,重新编译

 -- hanteng <hanteng@kylinos.cn>  Mon, 09 Jan 2023 20:34:49 +0800

kylin-virtual-keyboard (1.0.0.1-0k0.1tablet1) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：修改版本号

 -- hanteng <hanteng@kylinos.cn>  Fri, 06 Jan 2023 10:24:03 +0800

kylin-virtual-keyboard (1.0.0-1kylin18) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：按照设计稿调整虚拟键盘高度，调整虚拟键盘数字按键字体大小

 -- linyuxuan <linyuxuan@kylinos.cn>  Fri, 09 Dec 2022 16:44:17 +0800

kylin-virtual-keyboard (1.0.0-1kylin17) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：依照设计稿，为开关按键添加反白效果

 -- linyuxuan <linyuxuan@kylinos.cn>  Fri, 09 Dec 2022 11:38:23 +0800

kylin-virtual-keyboard (1.0.0-1kylin16.1) v101; urgency=medium

  * bug修复：优化虚拟键盘UI的字体大小，优化输入法列表高亮效果
  * 新需求：无
  * 其他修改：无

 -- linyuxuan <linyuxuan@kylinos.cn>  Mon, 05 Dec 2022 09:22:12 +0800

kylin-virtual-keyboard (1.0.0-1kylin16) v101; urgency=medium

  * bug修复：149654 【UKUI需求 需求-17139】【平板键盘】竖屏状态下中英文切换菜单显示不全 148244 【平板键盘】中英文切换菜单右侧边缘存在一个异常的黑色点
  * 新需求：无
  * 其他修改：无

 -- linyuxuan <linyuxuan@kylinos.cn>  Mon, 28 Nov 2022 13:33:05 +0800

kylin-virtual-keyboard (1.0.0-1kylin15) v101; urgency=medium

  * bug修复：146504 【UKUI需求 需求-17139】【平板键盘】虚拟键盘使用中，竖屏切换到横屏，虚拟键盘会发生异常重叠，画面出现一大一小两个虚拟键盘界面
  * 新需求：无
  * 其他修改：无

 -- linyuxuan <linyuxuan@kylinos.cn>  Wed, 16 Nov 2022 18:05:21 +0800

kylin-virtual-keyboard (1.0.0-1kylin14) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：在/usr/share/dbus-1/service目录下增加service文件

 -- hanteng <hanteng@kylinos.cn>  Wed, 16 Nov 2022 14:13:25 +0800

kylin-virtual-keyboard (1.0.0-1kylin13) v101; urgency=medium

  * bug修复：148265 【平板键盘】虚拟键盘的键位“+”号与“=”号反过来了
  * 新需求：无
  * 其他修改：无

 -- liulinsong <liulinsong@kylinos.cn>  Tue, 15 Nov 2022 09:29:56 +0800

kylin-virtual-keyboard (1.0.0-1kylin12) v101; urgency=medium

  * bug修复：146508 偶现使用过程中虚拟键盘崩溃的问题
  * 新需求：无
  * 其他修改：无

 -- hanteng <hanteng@kylinos.cn>  Wed, 09 Nov 2022 09:49:08 +0800

kylin-virtual-keyboard (1.0.0-1kylin11) v101; urgency=medium

  * bug修复： 145739 【平板】【终端】全屏模式下点击可输入区域无法唤出屏幕键盘
  * 新需求：无
  * 其他修改：无

 -- liulinsong <liulinsong@kylinos.cn>  Thu, 03 Nov 2022 11:22:50 +0800

kylin-virtual-keyboard (1.0.0-1kylin10) v101; urgency=medium

  * bug修复： 145571 【屏幕键盘】UI设计稿还原度问题
  * 新需求：无
  * 其他修改：无

 -- litian <litian2@kylinos.cn>  Wed, 26 Oct 2022 17:31:03 +0800

kylin-virtual-keyboard (1.0.0-1kylin9) v101; urgency=medium

  * bug修复： openkylin I5XC82 【平板模式】未适配深色模式显示
  * 新需求：无
  * 其他修改: 
		设置深色模式下虚拟键盘不跟随主题变化

 -- litian <litian2@kylinos.cn>  Wed, 26 Oct 2022 13:56:03 +0800

kylin-virtual-keyboard (1.0.0-1kylin8) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改: 
    1.add delay processing when raise app

 -- litian <litian2@kylinos.cn>  Mon, 24 Oct 2022 09:22:03 +0800

kylin-virtual-keyboard (1.0.0-1kylin7) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改: 
    1.启用高分屏适配

 -- litian <litian2@kylinos.cn>  Thu, 20 Oct 2022 10:58:00 +0800

kylin-virtual-keyboard (1.0.0-1kylin6) v101; urgency=medium

  * bug修复:无
  * 新需求：无
  * 其他修改: 
    1.修复qml的Connections连接问题
    链接https://doc.qt.io/qt-6/qml-qtqml-connections.html
    Note: For backwards compatibility you can also specify the signal 
    handlers without function, like you would specify them 
    directly in the target object. This is not recommended. 
    If you specify one signal handler this way, 
    then all signal handlers specified as function 
    in the same Connections object are ignored.

 -- litian <litian2@kylinos.cn>  Thu, 20 Oct 2022 10:08:00 +0800

kylin-virtual-keyboard (1.0.0-1kylin5) v101; urgency=medium

  * bug修复:无
  * 新需求：无
  * 其他修改: 
    1.修复虚拟键盘布局没有对齐的问题

 -- litian <litian2@kylinos.cn>  Wed, 19 Oct 2022 17:17:07 +0800

kylin-virtual-keyboard (1.0.0-1kylin4) v101; urgency=medium

  * bug修复:无
  * 新需求：无
  * 其他修改: 
    1.支持输入法列表本地化语言显示

 -- litian <litian2@kylinos.cn>  Tue, 18 Oct 2022 17:40:07 +0800


kylin-virtual-keyboard (1.0.0-1kylin3) v101; urgency=medium

  * add options file.

 -- hanteng <hanteng@kylinos.cn>  Mon, 10 Oct 2022 13:55:18 +0800

kylin-virtual-keyboard (1.0.0-1kylin2) v101; urgency=medium

  * add desktop file

 -- hanteng <hanteng@kylinos.cn>  Mon, 10 Oct 2022 11:28:01 +0800

kylin-virtual-keyboard (1.0.0-1kylin1) v101; urgency=medium

  * build for os-tablet

 -- hanteng <hanteng@kylinos.cn>  Sun, 09 Oct 2022 17:26:56 +0800

kylin-virtual-keyboard (1.0.0-1) v101; urgency=meidum

  * Initial release. 

 -- hanteng <hanteng@kylinos.cn>  Thu, 29 Sep 2022 13:33:26 +0800
